Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454105 - RFE: adding a failsafe procedure that allow users to override language at boot prompt
Summary: RFE: adding a failsafe procedure that allow users to override language at boo...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: 11
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-04 16:50 UTC by Muayyad Alsadi
Modified: 2014-03-17 03:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 10:40:33 UTC


Attachments (Terms of Use)
accepts language setting from boot loader (applied with patch -p1) (deleted)
2008-07-04 16:55 UTC, Muayyad Alsadi
no flags Details

Description Muayyad Alsadi 2008-07-04 16:50:30 UTC
Description of problem:
in some cases one would temporarily change the language of the system
overriding /etc/sysconf/i18n

users of course can set their language in GDM

it's intended to be used when there is no way to set language
for example in a livecd or a readonly media

Comment 1 Muayyad Alsadi 2008-07-04 16:55:31 UTC
Created attachment 311049 [details]
accepts language setting from boot loader (applied with patch -p1)

every script sources functions and that one sources /etc/profile.d/lang.sh
this will fix /etc/profile.d/lang.sh and /etc/profile.d/lang.csh

Comment 2 Muayyad Alsadi 2008-07-04 17:03:16 UTC
sorry for not being clear, this won't fix the language, will fix the file, this
will allow users  pass "LANG=fr_FR.UTF-8" in grub or syslinux to have French env,



Comment 3 Muayyad Alsadi 2009-03-22 19:35:21 UTC
for the records we already have an option 
live_locale=en_US.UTF-8

where you can pass it to the livecd/liveusb

but it does work with an installed system

Comment 4 Bug Zapper 2009-06-10 01:55:07 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2010-04-27 12:08:00 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bill Nottingham 2010-04-27 15:10:25 UTC
Does this work with dracut for you?

Comment 7 Bug Zapper 2010-06-28 10:40:33 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.